<div class="login boxed-container mat-elevation-z6">
  <form name="form" (ngSubmit)="f.form.valid && login()" #f="ngForm" #fHTML
        novalidate>
    <mat-form-field>
      <input matInput placeholder="Username / E-mail" name="username"
             [(ngModel)]="model.username" required autofocus>
    </mat-form-field>
    <mat-form-field>
      <input matInput type="password" placeholder="Password" name="password"
             [(ngModel)]="model.password" required>
    </mat-form-field>
    <button mat-raised-button color="primary" [disabled]="loading"
            type="submit">Login
    </button>
    <br>
    <button type="button" color="secondary" mat-button
            routerLink="password/reset">
      Hai dimenticato la password?
    </button>
    <button type="button" color="secondary" mat-button
            (click)="tip.hidden=!tip.hidden">
      Non riesci ad accedere?
    </button>
  </form>
  <div class="tip center boxed-container mat-elevation-z6" #tip [hidden]="true">
    <h3>Per l'assistenza puoi contattare il:
      <a mat-button href="tel:+065990200">
        06.5990.5200
        <mat-icon style="margin:0.1em 0">call</mat-icon>
      </a>
    </h3>
  </div>
</div>

